<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://www.w3.org/2001/XMLSchema"
	targetNamespace="http://pad.polito.it/dp2/neo4j"
	xmlns:tns="http://pad.polito.it/dp2/neo4j">
	
	<element name="postNode">
		<complexType>
			<attribute name="id" type="string"/>
		</complexType>
	</element>
	
	<element name="postRelationship">
		<complexType>
			<attribute name="to" type="anyURI"/>
			<attribute name="type" type="string"/>
		</complexType>
	</element>
	
	<element name="getShortestPath">
		<complexType>
			<sequence>
				<element name="relationships">
					<complexType>
						<attribute name="type" type="string"/>
						<attribute name="direction" type="string"/>
					</complexType>
				</element>
			</sequence>
			<attribute name="to" type="anyURI"/>
			<attribute name="max_depth" type="integer"/>
			<attribute name="algorithm" type="string"/>
		</complexType>
	</element>
	
	<element name="responseShortestPath">
		<complexType>
			<sequence>
				<element name="directions" type="string" minOccurs="0" maxOccurs="unbounded"/>
				<element name="nodes" type="anyURI" minOccurs="0" maxOccurs="unbounded"/>
				<element name="relationships" type="anyURI" minOccurs="0" maxOccurs="unbounded"/>
			</sequence>
			<attribute name="length" type="integer"/>
			<attribute name="start" type="anyURI"/>
			<attribute name="end" type="anyURI"/>
		</complexType>
	</element>
</schema>